#---------------------------------------------------------------------------------------------------
# %L                                                                                               -
# chvote-pact                                                                                      -
# %%                                                                                               -
# Copyright (C) 2016 - 2018 République et Canton de Genève                                         -
# %%                                                                                               -
# This program is free software: you can redistribute it and/or modify                             -
# it under the terms of the GNU Affero General Public License as published by                      -
# the Free Software Foundation, either version 3 of the License, or                                -
# (at your option) any later version.                                                              -
#                                                                                                  -
# This program is distributed in the hope that it will be useful,                                  -
# but WITHOUT ANY WARRANTY; without even the implied warranty of                                   -
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the                                     -
# GNU General Public License for more details.                                                     -
#                                                                                                  -
# You should have received a copy of the GNU Affero General Public License                         -
# along with this program. If not, see <http://www.gnu.org/licenses/>.                             -
# L%                                                                                               -
#---------------------------------------------------------------------------------------------------

application:
  name: chvote-pact

spring:
  application:
    admin:
      enabled: false
  servlet:
    multipart:
      max-file-size: 100MB
      max-request-size: 100MB
  jackson:
    serialization:
      write_date_timestamps_as_nanoseconds: true
    default-property-inclusion: non_null
  rabbitmq:
    host: ${MB_HOST}
    port: ${MB_PORT}
    username: ${MB_USERNAME}
    password: ${MB_PASSWORD}
  jpa:
    properties:
      hibernate:
        jdbc:
          batch_size: ${CHVOTE_BATCH_SIZE:25}
management:
  endpoints:
    enabled-by-default: false
    web:
      base-path: /
      exposure:
        exclude: '*'
    jmx:
      exposure:
        exclude: '*'

ch:
  ge:
    ve:
      security-level: ${SECURITY_LEVEL:1}
      rng:
        algorithm: SHA1PRNG
        provider: SUN
      listeners-concurrency-factor: 2
      keyspec:
        algorithm: AES
      digest:
        algorithm: BLAKE2B-256
        provider: BC
      cipher:
        algorithm: AES/CTR/NoPadding
        provider: BC

chvote:
  timezone: Europe/Zurich
  pact:
    buildTimestamp: "@build.timestamp@"
    buildNumber: "@git.commit.id.abbrev@"
    node:
      onstart-recovery: true
  protocol-core:
    control-components-count: 2
    voting-materials-timeout-minutes: 240
    voting-period-timeout-minutes: 240
    signing-key:
      url: classpath:level${SECURITY_LEVEL:1}/signing-key.sk
      password: simulation password!
  pact-context-url: /pact # Use CHVOTE_PACT_CONTEXT_URL environment variable to override this if needed
  output-dir: ${java.io.tmpdir} # Use CHVOTE_OUTPUT_DIR environment variable to override this if needed
  batch-size: 25 # Use CHVOTE_BATCH_SIZE environment variable to override this value as needed
  vr-identification-url: http://localhost:4400/chvote-receiver/{0}vote/{1}/{2}/{3}/identification